Bug 48083 - Need WebKit2 API for private browsing
Summary: Need WebKit2 API for private browsing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-10-21 11:50 PDT by Alexey Proskuryakov
Modified: 2010-10-23 15:33 PDT (History)
0 users

See Also:


Attachments
pass the preference to WebCore (6.52 KB, patch)
2010-10-21 11:55 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff
enable private browsing for cookies (27.80 KB, patch)
2010-10-22 14:29 PDT, Alexey Proskuryakov
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2010-10-21 11:50:23 PDT
One trickier part here is preventing cookies from being stored. Previously, an embedder app was responsible for that.

Platform APIs that we have for private browsing are quite different from each other.
Comment 1 Alexey Proskuryakov 2010-10-21 11:55:18 PDT
Created attachment 71467 [details]
pass the preference to WebCore
Comment 2 Alexey Proskuryakov 2010-10-21 12:21:45 PDT
Comment on attachment 71467 [details]
pass the preference to WebCore

Committed <http://trac.webkit.org/changeset/70255>, clearing r+ from landed patch.
Comment 3 Alexey Proskuryakov 2010-10-22 14:29:51 PDT
Created attachment 71595 [details]
enable private browsing for cookies
Comment 4 Anders Carlsson 2010-10-22 17:24:35 PDT
Comment on attachment 71595 [details]
enable private browsing for cookies

Looks good, r=me!
Comment 5 Alexey Proskuryakov 2010-10-23 15:18:09 PDT
Committed second part in <http://trac.webkit.org/changeset/70400>.
Comment 6 Alexey Proskuryakov 2010-10-23 15:19:08 PDT
<rdar://problem/8489082>
Comment 7 Alexey Proskuryakov 2010-10-23 15:33:01 PDT
Windows build fix <http://trac.webkit.org/changeset/70401>.